import{s as so,o as io,n as lo}from"../chunks/scheduler.25b97de1.js";import{S as mo,i as co,g as l,s as a,r as m,A as po,h as s,f as n,c as o,j as b,u as c,x as d,k as _,y as t,a as i,v as p,d as g,t as f,w as u}from"../chunks/index.d9030fc9.js";import{T as ro}from"../chunks/Tip.baa67368.js";import{D as v}from"../chunks/Docstring.ffac8efa.js";import{H as I,E as go}from"../chunks/EditOnGithub.91d95064.js";function fo(Le){let h,M=`For best performance, this data collator should be used with a dataset having items that are dictionaries or
BatchEncoding, with the <code>&quot;special_tokens_mask&quot;</code> key, as returned by a <a href="/docs/transformers/main/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a> or a
<a href="/docs/transformers/main/en/main_classes/tokenizer#transformers.PreTrainedTokenizerFast">PreTrainedTokenizerFast</a> with the argument <code>return_special_tokens_mask=True</code>.`;return{c(){h=l("p"),h.innerHTML=M},l(k){h=s(k,"P",{"data-svelte-h":!0}),d(h)!=="svelte-1uxurri"&&(h.innerHTML=M)},m(k,V){i(k,h,V)},p:lo,d(k){k&&n(h)}}}function uo(Le){let h,M=`This collator relies on details of the implementation of subword tokenization by <a href="/docs/transformers/main/en/model_doc/bert#transformers.BertTokenizer">BertTokenizer</a>, specifically
that subword tokens are prefixed with <em>##</em>. For tokenizers that do not adhere to this scheme, this collator will
produce an output that is roughly equivalent to <code>.DataCollatorForLanguageModeling</code>.`;return{c(){h=l("p"),h.innerHTML=M},l(k){h=s(k,"P",{"data-svelte-h":!0}),d(h)!=="svelte-kpcut1"&&(h.innerHTML=M)},m(k,V){i(k,h,V)},p:lo,d(k){k&&n(h)}}}function ho(Le){let h,M,k,V,X,it,J,wa=`Data collators are objects that will form a batch by using a list of dataset elements as input. These elements are of
the same type as the elements of <code>train_dataset</code> or <code>eval_dataset</code>.`,dt,Q,Pa=`To be able to build batches, data collators may apply some processing (like padding). Some of them (like
<a href="/docs/transformers/main/en/main_classes/data_collator#transformers.DataCollatorForLanguageModeling">DataCollatorForLanguageModeling</a>) also apply some random data augmentation (like random masking)
on the formed batch.`,mt,Y,Fa='Examples of use can be found in the <a href="../examples">example scripts</a> or <a href="../notebooks">example notebooks</a>.',ct,Z,pt,y,ee,jt,qe,La=`Very simple data collator that simply collates batches of dict-like objects and performs special handling for
potential keys named:`,Nt,Me,qa="<li><code>label</code>: handles a single value (int or float) per object</li> <li><code>label_ids</code>: handles a list of values per object</li>",Ot,ze,Ma=`Does not do any additional preprocessing: property names of the input object will be used as corresponding inputs
to the model. See glue and ner for example of how it’s useful.`,gt,te,ft,T,ae,Bt,Se,za=`Very simple data collator that simply collates batches of dict-like objects and performs special handling for
potential keys named:`,Ut,We,Sa="<li><code>label</code>: handles a single value (int or float) per object</li> <li><code>label_ids</code>: handles a list of values per object</li>",Kt,Ie,Wa=`Does not do any additional preprocessing: property names of the input object will be used as corresponding inputs
to the model. See glue and ner for example of how it’s useful.`,Rt,Ae,Ia=`This is an object (like other data collators) rather than a pure function like default_data_collator. This can be
helpful if you need to set a return_tensors value at initialization.`,ut,oe,ht,A,ne,Gt,He,Aa="Data collator that will dynamically pad the inputs received.",_t,re,bt,H,le,Xt,Ee,Ha="Data collator that will dynamically pad the inputs received, as well as the labels.",$t,se,vt,E,ie,Jt,Ve,Ea="Data collator that will dynamically pad the inputs received, as well as the labels.",kt,de,xt,x,me,Qt,je,Va=`Data collator used for language modeling. Inputs are dynamically padded to the maximum length of a batch if they
are not all of the same length.`,Yt,j,Zt,N,ce,ea,Ne,ja="Prepare masked tokens inputs/labels for masked language modeling: 80% MASK, 10% random, 10% original.",ta,O,pe,aa,Oe,Na="Prepare masked tokens inputs/labels for masked language modeling: 80% MASK, 10% random, 10% original.",oa,B,ge,na,Be,Oa="Prepare masked tokens inputs/labels for masked language modeling: 80% MASK, 10% random, 10% original.",Ct,fe,Tt,$,ue,ra,Ue,Ba="Data collator used for language modeling that masks entire words.",la,Ke,Ua="<li>collates batches of tensors, honoring their tokenizer’s pad_token</li> <li>preprocesses batches for masked language modeling</li>",sa,U,ia,K,he,da,Re,Ka=`Prepare masked tokens inputs/labels for masked language modeling: 80% MASK, 10% random, 10% original. Set
‘mask_labels’ means we use whole word mask (wwm), we directly mask idxs according to it’s ref.`,ma,R,_e,ca,Ge,Ra=`Prepare masked tokens inputs/labels for masked language modeling: 80% MASK, 10% random, 10% original. Set
‘mask_labels’ means we use whole word mask (wwm), we directly mask idxs according to it’s ref.`,pa,G,be,ga,Xe,Ga=`Prepare masked tokens inputs/labels for masked language modeling: 80% MASK, 10% random, 10% original. Set
‘mask_labels’ means we use whole word mask (wwm), we directly mask idxs according to it’s ref.`,Dt,$e,yt,C,ve,fa,Je,Xa="Data collator used for permutation language modeling.",ua,Qe,Ja="<li>collates batches of tensors, honoring their tokenizer’s pad_token</li> <li>preprocesses batches for permutation language modeling with procedures specific to XLNet</li>",ha,z,ke,_a,Ye,Qa="The masked tokens to be predicted for a particular sequence are determined by the following algorithm:",ba,xe,Ya=`<li>Start from the beginning of the sequence by setting <code>cur_len = 0</code> (number of tokens processed so far).</li> <li>Sample a <code>span_length</code> from the interval <code>[1, max_span_length]</code> (length of span of tokens to be masked)</li> <li>Reserve a context of length <code>context_length = span_length / plm_probability</code> to surround span to be
masked</li> <li>Sample a starting point <code>start_index</code> from the interval <code>[cur_len, cur_len + context_length - span_length]</code> and mask tokens <code>start_index:start_index + span_length</code></li> <li>Set <code>cur_len = cur_len + context_length</code>. If <code>cur_len &lt; max_len</code> (i.e. there are tokens remaining in the
sequence to be processed), repeat from Step 1.</li>`,$a,S,Ce,va,Ze,Za="The masked tokens to be predicted for a particular sequence are determined by the following algorithm:",ka,Te,eo=`<li>Start from the beginning of the sequence by setting <code>cur_len = 0</code> (number of tokens processed so far).</li> <li>Sample a <code>span_length</code> from the interval <code>[1, max_span_length]</code> (length of span of tokens to be masked)</li> <li>Reserve a context of length <code>context_length = span_length / plm_probability</code> to surround span to be
masked</li> <li>Sample a starting point <code>start_index</code> from the interval <code>[cur_len, cur_len + context_length - span_length]</code> and mask tokens <code>start_index:start_index + span_length</code></li> <li>Set <code>cur_len = cur_len + context_length</code>. If <code>cur_len &lt; max_len</code> (i.e. there are tokens remaining in the
sequence to be processed), repeat from Step 1.</li>`,xa,W,De,Ca,et,to="The masked tokens to be predicted for a particular sequence are determined by the following algorithm:",Ta,ye,ao=`<li>Start from the beginning of the sequence by setting <code>cur_len = 0</code> (number of tokens processed so far).</li> <li>Sample a <code>span_length</code> from the interval <code>[1, max_span_length]</code> (length of span of tokens to be masked)</li> <li>Reserve a context of length <code>context_length = span_length / plm_probability</code> to surround span to be
masked</li> <li>Sample a starting point <code>start_index</code> from the interval <code>[cur_len, cur_len + context_length - span_length]</code> and mask tokens <code>start_index:start_index + span_length</code></li> <li>Set <code>cur_len = cur_len + context_length</code>. If <code>cur_len &lt; max_len</code> (i.e. there are tokens remaining in the
sequence to be processed), repeat from Step 1.</li>`,wt,we,Pt,L,Pe,Da,tt,oo="Data collator used for padding free approach. Does the following:",ya,at,no="<li>concatate the entire mini batch into single long sequence [1, total_tokens]</li> <li>uses <code>separator_id</code> to separate sequences within the concatenated <code>labels</code>, default value is -100</li> <li>no padding will be added, returns <code>input_ids</code>, <code>labels</code> and <code>position_ids</code></li>",Ft,Fe,Lt,st,qt;return X=new I({props:{title:"Data Collator",local:"data-collator",headingTag:"h1"}}),Z=new I({props:{title:"Default data collator",local:"transformers.default_data_collator",headingTag:"h2"}}),ee=new v({props:{name:"transformers.default_data_collator",anchor:"transformers.default_data_collator",parameters:[{name:"features",val:": List"},{name:"return_tensors",val:" = 'pt'"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/data/data_collator.py#L74"}}),te=new I({props:{title:"DefaultDataCollator",local:"transformers.DefaultDataCollator",headingTag:"h2"}}),ae=new v({props:{name:"class transformers.DefaultDataCollator",anchor:"transformers.DefaultDataCollator",parameters:[{name:"return_tensors",val:": str = 'pt'"}],parametersDescription:[{anchor:"transformers.DefaultDataCollator.return_tensors",description:`<strong>return_tensors</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;pt&quot;</code>) &#x2014;
The type of Tensor to return. Allowable values are &#x201C;np&#x201D;, &#x201C;pt&#x201D; and &#x201C;tf&#x201D;.`,name:"return_tensors"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/data/data_collator.py#L99"}}),oe=new I({props:{title:"DataCollatorWithPadding",local:"transformers.DataCollatorWithPadding",headingTag:"h2"}}),ne=new v({props:{name:"class transformers.DataCollatorWithPadding",anchor:"transformers.DataCollatorWithPadding",parameters:[{name:"tokenizer",val:": PreTrainedTokenizerBase"},{name:"padding",val:": Union = True"},{name:"max_length",val:": Optional = None"},{name:"pad_to_multiple_of",val:": Optional = None"},{name:"return_tensors",val:": str = 'pt'"}],parametersDescription:[{anchor:"transformers.DataCollatorWithPadding.tokenizer",description:`<strong>tokenizer</strong> (<a href="/docs/transformers/main/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a> or <a href="/docs/transformers/main/en/main_classes/tokenizer#transformers.PreTrainedTokenizerFast">PreTrainedTokenizerFast</a>) &#x2014;
The tokenizer used for encoding the data.`,name:"tokenizer"},{anchor:"transformers.DataCollatorWithPadding.padding",description:`<strong>padding</strong> (<code>bool</code>, <code>str</code> or <a href="/docs/transformers/main/en/internal/file_utils#transformers.utils.PaddingStrategy">PaddingStrategy</a>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Select a strategy to pad the returned sequences (according to the model&#x2019;s padding side and padding index)
among:</p>
<ul>
<li><code>True</code> or <code>&apos;longest&apos;</code> (default): Pad to the longest sequence in the batch (or no padding if only a single
sequence is provided).</li>
<li><code>&apos;max_length&apos;</code>: Pad to a maximum length specified with the argument <code>max_length</code> or to the maximum
acceptable input length for the model if that argument is not provided.</li>
<li><code>False</code> or <code>&apos;do_not_pad&apos;</code>: No padding (i.e., can output a batch with sequences of different lengths).</li>
</ul>`,name:"padding"},{anchor:"transformers.DataCollatorWithPadding.max_length",description:`<strong>max_length</strong> (<code>int</code>, <em>optional</em>) &#x2014;
Maximum length of the returned list and optionally padding length (see above).`,name:"max_length"},{anchor:"transformers.DataCollatorWithPadding.pad_to_multiple_of",description:`<strong>pad_to_multiple_of</strong> (<code>int</code>, <em>optional</em>) &#x2014;
If set will pad the sequence to a multiple of the provided value.</p>
<p>This is especially useful to enable the use of Tensor Cores on NVIDIA hardware with compute capability &gt;=
7.5 (Volta).`,name:"pad_to_multiple_of"},{anchor:"transformers.DataCollatorWithPadding.return_tensors",description:`<strong>return_tensors</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;pt&quot;</code>) &#x2014;
The type of Tensor to return. Allowable values are &#x201C;np&#x201D;, &#x201C;pt&#x201D; and &#x201C;tf&#x201D;.`,name:"return_tensors"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/data/data_collator.py#L236"}}),re=new I({props:{title:"DataCollatorForTokenClassification",local:"transformers.DataCollatorForTokenClassification",headingTag:"h2"}}),le=new v({props:{name:"class transformers.DataCollatorForTokenClassification",anchor:"transformers.DataCollatorForTokenClassification",parameters:[{name:"tokenizer",val:": PreTrainedTokenizerBase"},{name:"padding",val:": Union = True"},{name:"max_length",val:": Optional = None"},{name:"pad_to_multiple_of",val:": Optional = None"},{name:"label_pad_token_id",val:": int = -100"},{name:"return_tensors",val:": str = 'pt'"}],parametersDescription:[{anchor:"transformers.DataCollatorForTokenClassification.tokenizer",description:`<strong>tokenizer</strong> (<a href="/docs/transformers/main/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a> or <a href="/docs/transformers/main/en/main_classes/tokenizer#transformers.PreTrainedTokenizerFast">PreTrainedTokenizerFast</a>) &#x2014;
The tokenizer used for encoding the data.`,name:"tokenizer"},{anchor:"transformers.DataCollatorForTokenClassification.padding",description:`<strong>padding</strong> (<code>bool</code>, <code>str</code> or <a href="/docs/transformers/main/en/internal/file_utils#transformers.utils.PaddingStrategy">PaddingStrategy</a>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Select a strategy to pad the returned sequences (according to the model&#x2019;s padding side and padding index)
among:</p>
<ul>
<li><code>True</code> or <code>&apos;longest&apos;</code> (default): Pad to the longest sequence in the batch (or no padding if only a single
sequence is provided).</li>
<li><code>&apos;max_length&apos;</code>: Pad to a maximum length specified with the argument <code>max_length</code> or to the maximum
acceptable input length for the model if that argument is not provided.</li>
<li><code>False</code> or <code>&apos;do_not_pad&apos;</code>: No padding (i.e., can output a batch with sequences of different lengths).</li>
</ul>`,name:"padding"},{anchor:"transformers.DataCollatorForTokenClassification.max_length",description:`<strong>max_length</strong> (<code>int</code>, <em>optional</em>) &#x2014;
Maximum length of the returned list and optionally padding length (see above).`,name:"max_length"},{anchor:"transformers.DataCollatorForTokenClassification.pad_to_multiple_of",description:`<strong>pad_to_multiple_of</strong> (<code>int</code>, <em>optional</em>) &#x2014;
If set will pad the sequence to a multiple of the provided value.</p>
<p>This is especially useful to enable the use of Tensor Cores on NVIDIA hardware with compute capability &gt;=
7.5 (Volta).`,name:"pad_to_multiple_of"},{anchor:"transformers.DataCollatorForTokenClassification.label_pad_token_id",description:`<strong>label_pad_token_id</strong> (<code>int</code>, <em>optional</em>, defaults to -100) &#x2014;
The id to use when padding the labels (-100 will be automatically ignore by PyTorch loss functions).`,name:"label_pad_token_id"},{anchor:"transformers.DataCollatorForTokenClassification.return_tensors",description:`<strong>return_tensors</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;pt&quot;</code>) &#x2014;
The type of Tensor to return. Allowable values are &#x201C;np&#x201D;, &#x201C;pt&#x201D; and &#x201C;tf&#x201D;.`,name:"return_tensors"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/data/data_collator.py#L288"}}),se=new I({props:{title:"DataCollatorForSeq2Seq",local:"transformers.DataCollatorForSeq2Seq",headingTag:"h2"}}),ie=new v({props:{name:"class transformers.DataCollatorForSeq2Seq",anchor:"transformers.DataCollatorForSeq2Seq",parameters:[{name:"tokenizer",val:": PreTrainedTokenizerBase"},{name:"model",val:": Optional = None"},{name:"padding",val:": Union = True"},{name:"max_length",val:": Optional = None"},{name:"pad_to_multiple_of",val:": Optional = None"},{name:"label_pad_token_id",val:": int = -100"},{name:"return_tensors",val:": str = 'pt'"}],parametersDescription:[{anchor:"transformers.DataCollatorForSeq2Seq.tokenizer",description:`<strong>tokenizer</strong> (<a href="/docs/transformers/main/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a> or <a href="/docs/transformers/main/en/main_classes/tokenizer#transformers.PreTrainedTokenizerFast">PreTrainedTokenizerFast</a>) &#x2014;
The tokenizer used for encoding the data.`,name:"tokenizer"},{anchor:"transformers.DataCollatorForSeq2Seq.model",description:`<strong>model</strong> (<a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel">PreTrainedModel</a>, <em>optional</em>) &#x2014;
The model that is being trained. If set and has the <em>prepare_decoder_input_ids_from_labels</em>, use it to
prepare the <em>decoder_input_ids</em></p>
<p>This is useful when using <em>label_smoothing</em> to avoid calculating loss twice.`,name:"model"},{anchor:"transformers.DataCollatorForSeq2Seq.padding",description:`<strong>padding</strong> (<code>bool</code>, <code>str</code> or <a href="/docs/transformers/main/en/internal/file_utils#transformers.utils.PaddingStrategy">PaddingStrategy</a>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Select a strategy to pad the returned sequences (according to the model&#x2019;s padding side and padding index)
among:</p>
<ul>
<li><code>True</code> or <code>&apos;longest&apos;</code> (default): Pad to the longest sequence in the batch (or no padding if only a single
sequence is provided).</li>
<li><code>&apos;max_length&apos;</code>: Pad to a maximum length specified with the argument <code>max_length</code> or to the maximum
acceptable input length for the model if that argument is not provided.</li>
<li><code>False</code> or <code>&apos;do_not_pad&apos;</code>: No padding (i.e., can output a batch with sequences of different lengths).</li>
</ul>`,name:"padding"},{anchor:"transformers.DataCollatorForSeq2Seq.max_length",description:`<strong>max_length</strong> (<code>int</code>, <em>optional</em>) &#x2014;
Maximum length of the returned list and optionally padding length (see above).`,name:"max_length"},{anchor:"transformers.DataCollatorForSeq2Seq.pad_to_multiple_of",description:`<strong>pad_to_multiple_of</strong> (<code>int</code>, <em>optional</em>) &#x2014;
If set will pad the sequence to a multiple of the provided value.</p>
<p>This is especially useful to enable the use of Tensor Cores on NVIDIA hardware with compute capability &gt;=
7.5 (Volta).`,name:"pad_to_multiple_of"},{anchor:"transformers.DataCollatorForSeq2Seq.label_pad_token_id",description:`<strong>label_pad_token_id</strong> (<code>int</code>, <em>optional</em>, defaults to -100) &#x2014;
The id to use when padding the labels (-100 will be automatically ignored by PyTorch loss functions).`,name:"label_pad_token_id"},{anchor:"transformers.DataCollatorForSeq2Seq.return_tensors",description:`<strong>return_tensors</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;pt&quot;</code>) &#x2014;
The type of Tensor to return. Allowable values are &#x201C;np&#x201D;, &#x201C;pt&#x201D; and &#x201C;tf&#x201D;.`,name:"return_tensors"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/data/data_collator.py#L543"}}),de=new I({props:{title:"DataCollatorForLanguageModeling",local:"transformers.DataCollatorForLanguageModeling",headingTag:"h2"}}),me=new v({props:{name:"class transformers.DataCollatorForLanguageModeling",anchor:"transformers.DataCollatorForLanguageModeling",parameters:[{name:"tokenizer",val:": PreTrainedTokenizerBase"},{name:"mlm",val:": bool = True"},{name:"mlm_probability",val:": float = 0.15"},{name:"pad_to_multiple_of",val:": Optional = None"},{name:"tf_experimental_compile",val:": bool = False"},{name:"return_tensors",val:": str = 'pt'"}],parametersDescription:[{anchor:"transformers.DataCollatorForLanguageModeling.tokenizer",description:`<strong>tokenizer</strong> (<a href="/docs/transformers/main/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a> or <a href="/docs/transformers/main/en/main_classes/tokenizer#transformers.PreTrainedTokenizerFast">PreTrainedTokenizerFast</a>) &#x2014;
The tokenizer used for encoding the data.`,name:"tokenizer"},{anchor:"transformers.DataCollatorForLanguageModeling.mlm",description:`<strong>mlm</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether or not to use masked language modeling. If set to <code>False</code>, the labels are the same as the inputs
with the padding tokens ignored (by setting them to -100). Otherwise, the labels are -100 for non-masked
tokens and the value to predict for the masked token.`,name:"mlm"},{anchor:"transformers.DataCollatorForLanguageModeling.mlm_probability",description:`<strong>mlm_probability</strong> (<code>float</code>, <em>optional</em>, defaults to 0.15) &#x2014;
The probability with which to (randomly) mask tokens in the input, when <code>mlm</code> is set to <code>True</code>.`,name:"mlm_probability"},{anchor:"transformers.DataCollatorForLanguageModeling.pad_to_multiple_of",description:`<strong>pad_to_multiple_of</strong> (<code>int</code>, <em>optional</em>) &#x2014;
If set will pad the sequence to a multiple of the provided value.`,name:"pad_to_multiple_of"},{anchor:"transformers.DataCollatorForLanguageModeling.return_tensors",description:`<strong>return_tensors</strong> (<code>str</code>) &#x2014;
The type of Tensor to return. Allowable values are &#x201C;np&#x201D;, &#x201C;pt&#x201D; and &#x201C;tf&#x201D;.`,name:"return_tensors"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/data/data_collator.py#L679"}}),j=new ro({props:{$$slots:{default:[fo]},$$scope:{ctx:Le}}}),ce=new v({props:{name:"numpy_mask_tokens",anchor:"transformers.DataCollatorForLanguageModeling.numpy_mask_tokens",parameters:[{name:"inputs",val:": Any"},{name:"special_tokens_mask",val:": Optional = None"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/data/data_collator.py#L885"}}),pe=new v({props:{name:"tf_mask_tokens",anchor:"transformers.DataCollatorForLanguageModeling.tf_mask_tokens",parameters:[{name:"inputs",val:": Any"},{name:"vocab_size",val:""},{name:"mask_token_id",val:""},{name:"special_tokens_mask",val:": Optional = None"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/data/data_collator.py#L732"}}),ge=new v({props:{name:"torch_mask_tokens",anchor:"transformers.DataCollatorForLanguageModeling.torch_mask_tokens",parameters:[{name:"inputs",val:": Any"},{name:"special_tokens_mask",val:": Optional = None"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/data/data_collator.py#L828"}}),fe=new I({props:{title:"DataCollatorForWholeWordMask",local:"transformers.DataCollatorForWholeWordMask",headingTag:"h2"}}),ue=new v({props:{name:"class transformers.DataCollatorForWholeWordMask",anchor:"transformers.DataCollatorForWholeWordMask",parameters:[{name:"tokenizer",val:": PreTrainedTokenizerBase"},{name:"mlm",val:": bool = True"},{name:"mlm_probability",val:": float = 0.15"},{name:"pad_to_multiple_of",val:": Optional = None"},{name:"tf_experimental_compile",val:": bool = False"},{name:"return_tensors",val:": str = 'pt'"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/data/data_collator.py#L923"}}),U=new ro({props:{$$slots:{default:[uo]},$$scope:{ctx:Le}}}),he=new v({props:{name:"numpy_mask_tokens",anchor:"transformers.DataCollatorForWholeWordMask.numpy_mask_tokens",parameters:[{name:"inputs",val:": Any"},{name:"mask_labels",val:": Any"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/data/data_collator.py#L1154"}}),_e=new v({props:{name:"tf_mask_tokens",anchor:"transformers.DataCollatorForWholeWordMask.tf_mask_tokens",parameters:[{name:"inputs",val:": Any"},{name:"mask_labels",val:": Any"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/data/data_collator.py#L1112"}}),be=new v({props:{name:"torch_mask_tokens",anchor:"transformers.DataCollatorForWholeWordMask.torch_mask_tokens",parameters:[{name:"inputs",val:": Any"},{name:"mask_labels",val:": Any"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/data/data_collator.py#L1072"}}),$e=new I({props:{title:"DataCollatorForPermutationLanguageModeling",local:"transformers.DataCollatorForPermutationLanguageModeling",headingTag:"h2"}}),ve=new v({props:{name:"class transformers.DataCollatorForPermutationLanguageModeling",anchor:"transformers.DataCollatorForPermutationLanguageModeling",parameters:[{name:"tokenizer",val:": PreTrainedTokenizerBase"},{name:"plm_probability",val:": float = 0.16666666666666666"},{name:"max_span_length",val:": int = 5"},{name:"return_tensors",val:": str = 'pt'"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/data/data_collator.py#L1278"}}),ke=new v({props:{name:"numpy_mask_tokens",anchor:"transformers.DataCollatorForPermutationLanguageModeling.numpy_mask_tokens",parameters:[{name:"inputs",val:": Any"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/data/data_collator.py#L1519"}}),Ce=new v({props:{name:"tf_mask_tokens",anchor:"transformers.DataCollatorForPermutationLanguageModeling.tf_mask_tokens",parameters:[{name:"inputs",val:": Any"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/data/data_collator.py#L1412"}}),De=new v({props:{name:"torch_mask_tokens",anchor:"transformers.DataCollatorForPermutationLanguageModeling.torch_mask_tokens",parameters:[{name:"inputs",val:": Any"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/data/data_collator.py#L1313"}}),we=new I({props:{title:"DataCollatorWithFlattening",local:"transformers.DataCollatorWithFlattening",headingTag:"h2"}}),Pe=new v({props:{name:"class transformers.DataCollatorWithFlattening",anchor:"transformers.DataCollatorWithFlattening",parameters:[{name:"*args",val:""},{name:"return_position_ids",val:" = True"},{name:"separator_id",val:" = -100"},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/data/data_collator.py#L1617"}}),Fe=new go({props:{source:"https://github.com/huggingface/transformers/blob/main/docs/source/en/main_classes/data_collator.md"}}),{c(){h=l("meta"),M=a(),k=l("p"),V=a(),m(X.$$.fragment),it=a(),J=l("p"),J.innerHTML=wa,dt=a(),Q=l("p"),Q.innerHTML=Pa,mt=a(),Y=l("p"),Y.innerHTML=Fa,ct=a(),m(Z.$$.fragment),pt=a(),y=l("div"),m(ee.$$.fragment),jt=a(),qe=l("p"),qe.textContent=La,Nt=a(),Me=l("ul"),Me.innerHTML=qa,Ot=a(),ze=l("p"),ze.textContent=Ma,gt=a(),m(te.$$.fragment),ft=a(),T=l("div"),m(ae.$$.fragment),Bt=a(),Se=l("p"),Se.textContent=za,Ut=a(),We=l("ul"),We.innerHTML=Sa,Kt=a(),Ie=l("p"),Ie.textContent=Wa,Rt=a(),Ae=l("p"),Ae.textContent=Ia,ut=a(),m(oe.$$.fragment),ht=a(),A=l("div"),m(ne.$$.fragment),Gt=a(),He=l("p"),He.textContent=Aa,_t=a(),m(re.$$.fragment),bt=a(),H=l("div"),m(le.$$.fragment),Xt=a(),Ee=l("p"),Ee.textContent=Ha,$t=a(),m(se.$$.fragment),vt=a(),E=l("div"),m(ie.$$.fragment),Jt=a(),Ve=l("p"),Ve.textContent=Ea,kt=a(),m(de.$$.fragment),xt=a(),x=l("div"),m(me.$$.fragment),Qt=a(),je=l("p"),je.textContent=Va,Yt=a(),m(j.$$.fragment),Zt=a(),N=l("div"),m(ce.$$.fragment),ea=a(),Ne=l("p"),Ne.textContent=ja,ta=a(),O=l("div"),m(pe.$$.fragment),aa=a(),Oe=l("p"),Oe.textContent=Na,oa=a(),B=l("div"),m(ge.$$.fragment),na=a(),Be=l("p"),Be.textContent=Oa,Ct=a(),m(fe.$$.fragment),Tt=a(),$=l("div"),m(ue.$$.fragment),ra=a(),Ue=l("p"),Ue.textContent=Ba,la=a(),Ke=l("ul"),Ke.innerHTML=Ua,sa=a(),m(U.$$.fragment),ia=a(),K=l("div"),m(he.$$.fragment),da=a(),Re=l("p"),Re.textContent=Ka,ma=a(),R=l("div"),m(_e.$$.fragment),ca=a(),Ge=l("p"),Ge.textContent=Ra,pa=a(),G=l("div"),m(be.$$.fragment),ga=a(),Xe=l("p"),Xe.textContent=Ga,Dt=a(),m($e.$$.fragment),yt=a(),C=l("div"),m(ve.$$.fragment),fa=a(),Je=l("p"),Je.textContent=Xa,ua=a(),Qe=l("ul"),Qe.innerHTML=Ja,ha=a(),z=l("div"),m(ke.$$.fragment),_a=a(),Ye=l("p"),Ye.textContent=Qa,ba=a(),xe=l("ol"),xe.innerHTML=Ya,$a=a(),S=l("div"),m(Ce.$$.fragment),va=a(),Ze=l("p"),Ze.textContent=Za,ka=a(),Te=l("ol"),Te.innerHTML=eo,xa=a(),W=l("div"),m(De.$$.fragment),Ca=a(),et=l("p"),et.textContent=to,Ta=a(),ye=l("ol"),ye.innerHTML=ao,wt=a(),m(we.$$.fragment),Pt=a(),L=l("div"),m(Pe.$$.fragment),Da=a(),tt=l("p"),tt.textContent=oo,ya=a(),at=l("ul"),at.innerHTML=no,Ft=a(),m(Fe.$$.fragment),Lt=a(),st=l("p"),this.h()},l(e){const r=po("svelte-u9bgzb",document.head);h=s(r,"META",{name:!0,content:!0}),r.forEach(n),M=o(e),k=s(e,"P",{}),b(k).forEach(n),V=o(e),c(X.$$.fragment,e),it=o(e),J=s(e,"P",{"data-svelte-h":!0}),d(J)!=="svelte-1kxfoc9"&&(J.innerHTML=wa),dt=o(e),Q=s(e,"P",{"data-svelte-h":!0}),d(Q)!=="svelte-1e3gfra"&&(Q.innerHTML=Pa),mt=o(e),Y=s(e,"P",{"data-svelte-h":!0}),d(Y)!=="svelte-10kyi1a"&&(Y.innerHTML=Fa),ct=o(e),c(Z.$$.fragment,e),pt=o(e),y=s(e,"DIV",{class:!0});var q=b(y);c(ee.$$.fragment,q),jt=o(q),qe=s(q,"P",{"data-svelte-h":!0}),d(qe)!=="svelte-1hmsgsg"&&(qe.textContent=La),Nt=o(q),Me=s(q,"UL",{"data-svelte-h":!0}),d(Me)!=="svelte-1pq8qks"&&(Me.innerHTML=qa),Ot=o(q),ze=s(q,"P",{"data-svelte-h":!0}),d(ze)!=="svelte-1vi1gug"&&(ze.textContent=Ma),q.forEach(n),gt=o(e),c(te.$$.fragment,e),ft=o(e),T=s(e,"DIV",{class:!0});var w=b(T);c(ae.$$.fragment,w),Bt=o(w),Se=s(w,"P",{"data-svelte-h":!0}),d(Se)!=="svelte-1hmsgsg"&&(Se.textContent=za),Ut=o(w),We=s(w,"UL",{"data-svelte-h":!0}),d(We)!=="svelte-1pq8qks"&&(We.innerHTML=Sa),Kt=o(w),Ie=s(w,"P",{"data-svelte-h":!0}),d(Ie)!=="svelte-1vi1gug"&&(Ie.textContent=Wa),Rt=o(w),Ae=s(w,"P",{"data-svelte-h":!0}),d(Ae)!=="svelte-vfvbwr"&&(Ae.textContent=Ia),w.forEach(n),ut=o(e),c(oe.$$.fragment,e),ht=o(e),A=s(e,"DIV",{class:!0});var Mt=b(A);c(ne.$$.fragment,Mt),Gt=o(Mt),He=s(Mt,"P",{"data-svelte-h":!0}),d(He)!=="svelte-1iebpai"&&(He.textContent=Aa),Mt.forEach(n),_t=o(e),c(re.$$.fragment,e),bt=o(e),H=s(e,"DIV",{class:!0});var zt=b(H);c(le.$$.fragment,zt),Xt=o(zt),Ee=s(zt,"P",{"data-svelte-h":!0}),d(Ee)!=="svelte-4uvw1w"&&(Ee.textContent=Ha),zt.forEach(n),$t=o(e),c(se.$$.fragment,e),vt=o(e),E=s(e,"DIV",{class:!0});var St=b(E);c(ie.$$.fragment,St),Jt=o(St),Ve=s(St,"P",{"data-svelte-h":!0}),d(Ve)!=="svelte-4uvw1w"&&(Ve.textContent=Ea),St.forEach(n),kt=o(e),c(de.$$.fragment,e),xt=o(e),x=s(e,"DIV",{class:!0});var P=b(x);c(me.$$.fragment,P),Qt=o(P),je=s(P,"P",{"data-svelte-h":!0}),d(je)!=="svelte-10km8jk"&&(je.textContent=Va),Yt=o(P),c(j.$$.fragment,P),Zt=o(P),N=s(P,"DIV",{class:!0});var Wt=b(N);c(ce.$$.fragment,Wt),ea=o(Wt),Ne=s(Wt,"P",{"data-svelte-h":!0}),d(Ne)!=="svelte-iv4xqf"&&(Ne.textContent=ja),Wt.forEach(n),ta=o(P),O=s(P,"DIV",{class:!0});var It=b(O);c(pe.$$.fragment,It),aa=o(It),Oe=s(It,"P",{"data-svelte-h":!0}),d(Oe)!=="svelte-iv4xqf"&&(Oe.textContent=Na),It.forEach(n),oa=o(P),B=s(P,"DIV",{class:!0});var At=b(B);c(ge.$$.fragment,At),na=o(At),Be=s(At,"P",{"data-svelte-h":!0}),d(Be)!=="svelte-iv4xqf"&&(Be.textContent=Oa),At.forEach(n),P.forEach(n),Ct=o(e),c(fe.$$.fragment,e),Tt=o(e),$=s(e,"DIV",{class:!0});var D=b($);c(ue.$$.fragment,D),ra=o(D),Ue=s(D,"P",{"data-svelte-h":!0}),d(Ue)!=="svelte-sjqk55"&&(Ue.textContent=Ba),la=o(D),Ke=s(D,"UL",{"data-svelte-h":!0}),d(Ke)!=="svelte-d2ozxj"&&(Ke.innerHTML=Ua),sa=o(D),c(U.$$.fragment,D),ia=o(D),K=s(D,"DIV",{class:!0});var Ht=b(K);c(he.$$.fragment,Ht),da=o(Ht),Re=s(Ht,"P",{"data-svelte-h":!0}),d(Re)!=="svelte-10msjh1"&&(Re.textContent=Ka),Ht.forEach(n),ma=o(D),R=s(D,"DIV",{class:!0});var Et=b(R);c(_e.$$.fragment,Et),ca=o(Et),Ge=s(Et,"P",{"data-svelte-h":!0}),d(Ge)!=="svelte-10msjh1"&&(Ge.textContent=Ra),Et.forEach(n),pa=o(D),G=s(D,"DIV",{class:!0});var Vt=b(G);c(be.$$.fragment,Vt),ga=o(Vt),Xe=s(Vt,"P",{"data-svelte-h":!0}),d(Xe)!=="svelte-10msjh1"&&(Xe.textContent=Ga),Vt.forEach(n),D.forEach(n),Dt=o(e),c($e.$$.fragment,e),yt=o(e),C=s(e,"DIV",{class:!0});var F=b(C);c(ve.$$.fragment,F),fa=o(F),Je=s(F,"P",{"data-svelte-h":!0}),d(Je)!=="svelte-12inif1"&&(Je.textContent=Xa),ua=o(F),Qe=s(F,"UL",{"data-svelte-h":!0}),d(Qe)!=="svelte-1t4qh7k"&&(Qe.innerHTML=Ja),ha=o(F),z=s(F,"DIV",{class:!0});var ot=b(z);c(ke.$$.fragment,ot),_a=o(ot),Ye=s(ot,"P",{"data-svelte-h":!0}),d(Ye)!=="svelte-1u70phx"&&(Ye.textContent=Qa),ba=o(ot),xe=s(ot,"OL",{start:!0,"data-svelte-h":!0}),d(xe)!=="svelte-1r6jrbi"&&(xe.innerHTML=Ya),ot.forEach(n),$a=o(F),S=s(F,"DIV",{class:!0});var nt=b(S);c(Ce.$$.fragment,nt),va=o(nt),Ze=s(nt,"P",{"data-svelte-h":!0}),d(Ze)!=="svelte-1u70phx"&&(Ze.textContent=Za),ka=o(nt),Te=s(nt,"OL",{start:!0,"data-svelte-h":!0}),d(Te)!=="svelte-1r6jrbi"&&(Te.innerHTML=eo),nt.forEach(n),xa=o(F),W=s(F,"DIV",{class:!0});var rt=b(W);c(De.$$.fragment,rt),Ca=o(rt),et=s(rt,"P",{"data-svelte-h":!0}),d(et)!=="svelte-1u70phx"&&(et.textContent=to),Ta=o(rt),ye=s(rt,"OL",{start:!0,"data-svelte-h":!0}),d(ye)!=="svelte-1r6jrbi"&&(ye.innerHTML=ao),rt.forEach(n),F.forEach(n),wt=o(e),c(we.$$.fragment,e),Pt=o(e),L=s(e,"DIV",{class:!0});var lt=b(L);c(Pe.$$.fragment,lt),Da=o(lt),tt=s(lt,"P",{"data-svelte-h":!0}),d(tt)!=="svelte-4gb9ju"&&(tt.textContent=oo),ya=o(lt),at=s(lt,"UL",{"data-svelte-h":!0}),d(at)!=="svelte-1w5rvhw"&&(at.innerHTML=no),lt.forEach(n),Ft=o(e),c(Fe.$$.fragment,e),Lt=o(e),st=s(e,"P",{}),b(st).forEach(n),this.h()},h(){_(h,"name","hf:doc:metadata"),_(h,"content",_o),_(y,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(T,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(A,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(H,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(E,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(N,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(O,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(B,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(x,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(K,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(R,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(G,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_($,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(xe,"start","0"),_(z,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(Te,"start","0"),_(S,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(ye,"start","0"),_(W,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(C,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(L,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(e,r){t(document.head,h),i(e,M,r),i(e,k,r),i(e,V,r),p(X,e,r),i(e,it,r),i(e,J,r),i(e,dt,r),i(e,Q,r),i(e,mt,r),i(e,Y,r),i(e,ct,r),p(Z,e,r),i(e,pt,r),i(e,y,r),p(ee,y,null),t(y,jt),t(y,qe),t(y,Nt),t(y,Me),t(y,Ot),t(y,ze),i(e,gt,r),p(te,e,r),i(e,ft,r),i(e,T,r),p(ae,T,null),t(T,Bt),t(T,Se),t(T,Ut),t(T,We),t(T,Kt),t(T,Ie),t(T,Rt),t(T,Ae),i(e,ut,r),p(oe,e,r),i(e,ht,r),i(e,A,r),p(ne,A,null),t(A,Gt),t(A,He),i(e,_t,r),p(re,e,r),i(e,bt,r),i(e,H,r),p(le,H,null),t(H,Xt),t(H,Ee),i(e,$t,r),p(se,e,r),i(e,vt,r),i(e,E,r),p(ie,E,null),t(E,Jt),t(E,Ve),i(e,kt,r),p(de,e,r),i(e,xt,r),i(e,x,r),p(me,x,null),t(x,Qt),t(x,je),t(x,Yt),p(j,x,null),t(x,Zt),t(x,N),p(ce,N,null),t(N,ea),t(N,Ne),t(x,ta),t(x,O),p(pe,O,null),t(O,aa),t(O,Oe),t(x,oa),t(x,B),p(ge,B,null),t(B,na),t(B,Be),i(e,Ct,r),p(fe,e,r),i(e,Tt,r),i(e,$,r),p(ue,$,null),t($,ra),t($,Ue),t($,la),t($,Ke),t($,sa),p(U,$,null),t($,ia),t($,K),p(he,K,null),t(K,da),t(K,Re),t($,ma),t($,R),p(_e,R,null),t(R,ca),t(R,Ge),t($,pa),t($,G),p(be,G,null),t(G,ga),t(G,Xe),i(e,Dt,r),p($e,e,r),i(e,yt,r),i(e,C,r),p(ve,C,null),t(C,fa),t(C,Je),t(C,ua),t(C,Qe),t(C,ha),t(C,z),p(ke,z,null),t(z,_a),t(z,Ye),t(z,ba),t(z,xe),t(C,$a),t(C,S),p(Ce,S,null),t(S,va),t(S,Ze),t(S,ka),t(S,Te),t(C,xa),t(C,W),p(De,W,null),t(W,Ca),t(W,et),t(W,Ta),t(W,ye),i(e,wt,r),p(we,e,r),i(e,Pt,r),i(e,L,r),p(Pe,L,null),t(L,Da),t(L,tt),t(L,ya),t(L,at),i(e,Ft,r),p(Fe,e,r),i(e,Lt,r),i(e,st,r),qt=!0},p(e,[r]){const q={};r&2&&(q.$$scope={dirty:r,ctx:e}),j.$set(q);const w={};r&2&&(w.$$scope={dirty:r,ctx:e}),U.$set(w)},i(e){qt||(g(X.$$.fragment,e),g(Z.$$.fragment,e),g(ee.$$.fragment,e),g(te.$$.fragment,e),g(ae.$$.fragment,e),g(oe.$$.fragment,e),g(ne.$$.fragment,e),g(re.$$.fragment,e),g(le.$$.fragment,e),g(se.$$.fragment,e),g(ie.$$.fragment,e),g(de.$$.fragment,e),g(me.$$.fragment,e),g(j.$$.fragment,e),g(ce.$$.fragment,e),g(pe.$$.fragment,e),g(ge.$$.fragment,e),g(fe.$$.fragment,e),g(ue.$$.fragment,e),g(U.$$.fragment,e),g(he.$$.fragment,e),g(_e.$$.fragment,e),g(be.$$.fragment,e),g($e.$$.fragment,e),g(ve.$$.fragment,e),g(ke.$$.fragment,e),g(Ce.$$.fragment,e),g(De.$$.fragment,e),g(we.$$.fragment,e),g(Pe.$$.fragment,e),g(Fe.$$.fragment,e),qt=!0)},o(e){f(X.$$.fragment,e),f(Z.$$.fragment,e),f(ee.$$.fragment,e),f(te.$$.fragment,e),f(ae.$$.fragment,e),f(oe.$$.fragment,e),f(ne.$$.fragment,e),f(re.$$.fragment,e),f(le.$$.fragment,e),f(se.$$.fragment,e),f(ie.$$.fragment,e),f(de.$$.fragment,e),f(me.$$.fragment,e),f(j.$$.fragment,e),f(ce.$$.fragment,e),f(pe.$$.fragment,e),f(ge.$$.fragment,e),f(fe.$$.fragment,e),f(ue.$$.fragment,e),f(U.$$.fragment,e),f(he.$$.fragment,e),f(_e.$$.fragment,e),f(be.$$.fragment,e),f($e.$$.fragment,e),f(ve.$$.fragment,e),f(ke.$$.fragment,e),f(Ce.$$.fragment,e),f(De.$$.fragment,e),f(we.$$.fragment,e),f(Pe.$$.fragment,e),f(Fe.$$.fragment,e),qt=!1},d(e){e&&(n(M),n(k),n(V),n(it),n(J),n(dt),n(Q),n(mt),n(Y),n(ct),n(pt),n(y),n(gt),n(ft),n(T),n(ut),n(ht),n(A),n(_t),n(bt),n(H),n($t),n(vt),n(E),n(kt),n(xt),n(x),n(Ct),n(Tt),n($),n(Dt),n(yt),n(C),n(wt),n(Pt),n(L),n(Ft),n(Lt),n(st)),n(h),u(X,e),u(Z,e),u(ee),u(te,e),u(ae),u(oe,e),u(ne),u(re,e),u(le),u(se,e),u(ie),u(de,e),u(me),u(j),u(ce),u(pe),u(ge),u(fe,e),u(ue),u(U),u(he),u(_e),u(be),u($e,e),u(ve),u(ke),u(Ce),u(De),u(we,e),u(Pe),u(Fe,e)}}}const _o='{"title":"Data Collator","local":"data-collator","sections":[{"title":"Default data collator","local":"transformers.default_data_collator","sections":[],"depth":2},{"title":"DefaultDataCollator","local":"transformers.DefaultDataCollator","sections":[],"depth":2},{"title":"DataCollatorWithPadding","local":"transformers.DataCollatorWithPadding","sections":[],"depth":2},{"title":"DataCollatorForTokenClassification","local":"transformers.DataCollatorForTokenClassification","sections":[],"depth":2},{"title":"DataCollatorForSeq2Seq","local":"transformers.DataCollatorForSeq2Seq","sections":[],"depth":2},{"title":"DataCollatorForLanguageModeling","local":"transformers.DataCollatorForLanguageModeling","sections":[],"depth":2},{"title":"DataCollatorForWholeWordMask","local":"transformers.DataCollatorForWholeWordMask","sections":[],"depth":2},{"title":"DataCollatorForPermutationLanguageModeling","local":"transformers.DataCollatorForPermutationLanguageModeling","sections":[],"depth":2},{"title":"DataCollatorWithFlattening","local":"transformers.DataCollatorWithFlattening","sections":[],"depth":2}],"depth":1}';function bo(Le){return io(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class To extends mo{constructor(h){super(),co(this,h,bo,ho,so,{})}}export{To as component};
